<template lang="pug">
  .user-upload
    .title Your Images
    .upload-button-container(:class="{centered: isUploadsEmpty}")
      .upload-text(v-if="isUploadsEmpty") There will be images you’ve uploaded
      .upload-button-wrapper
        .upload-button(@click="$refs.photo.click()")
          .icon(v-html="$icons.upload")
          span Upload
        input(type="file" @change="change" accept="image/png, image/jpeg", ref="photo")
</template>

<script>
import { mapActions } from 'vuex'
import dataService from '~/services/data'

export default {
  computed: {
    isUploadsEmpty () {
      return !(this.$store.state.editor.currentUploads.length + this.$store.state.editor.uploads.items.length)
    }
  },
  methods: {
    ...mapActions([
      'addCurrentUpload',
      'updateCurrentUpload'
    ]),
    change (e) {
      dataService.handleUploads(this.$refs.photo.files)
    }
  }
}
</script>

<style lang="scss" scoped>
  @import '../../assets/css/variables';

  .user-upload {
    color: #000;

    .title {
      color: #fff;
      display: flex;
      align-items: center;
      font-size: 24px;
      height: 56px;
      padding: 0 10px 0 4px;
      text-transform: uppercase;
      font-weight: bold;
    }

    .upload-button-container {
      padding: 0 4px;
      margin-bottom: 16px;
      width: 100%;
      &.centered {
        position: absolute;
        padding: 0 40px;
        top: 40%;
      }
      .upload-text {
        color: white;
        margin-bottom: 50px;
        text-align: center;
      }
      .upload-button-wrapper {
        position: relative;
        overflow: hidden;
        display: block;
      }

      .upload-button {
        background: #FFFFFF;
        border-radius: 10px;
        font-size: 14px;
        line-height: normal;
        text-align: center;
        background-color: white;
        padding: 13px 0px 10px 0px;
        width: 100%;
        color: black;
        display: flex;
        align-items: center;
        justify-content: center;
        cursor: pointer;
        .icon {
          width: 12px;
          height: 16px;
          margin-right: 14px;
        }
      }

      .upload-button-wrapper input[type=file] {
        display: none;
      }
    }
  }
</style>
